Pattern Keeper is supported on Android devices running Android version 4.1 or later and has the Google Play Store installed. However, it performs more smoothly on newer devices. If buying a new device to run Pattern Keeper on then it is recommended to get at least 2GB RAM.

If possible also avoid Android 8.1 as that version of Android is known to be a bit unstable.

There is no requirement for screen size and you can run it for example on a phone. Some people prefer the bigger screens though as you can see more of the chart as once.